Agora RTC Objective-C API Reference Refactor

Public Member Functions
IH265Transcoder Class Referenceabstract

Inherits RefCountInterface.

## Public Member Functions
virtual int | enableTranscode (const char *token, const char *channel, uid_t uid)=0
virtual int | queryChannel (const char *token, const char *channel, uid_t uid)=0
virtual int | triggerTranscode (const char *token, const char *channel, uid_t uid)=0
virtual int | registerTranscoderObserver (IH265TranscoderObserver *observer)=0
virtual int | unregisterTranscoderObserver (IH265TranscoderObserver *observer)=0

## Detailed Description

The IH265Transcoder class

## Constructor & Destructor Documentation

## ◆ ~IH265Transcoder()

virtual ~IH265Transcoder | ( |  | ) |
| inlineprotectedvirtual

## Member Function Documentation

## ◆ enableTranscode()

virtual int enableTranscode | ( | const char * | token,
|  | const char * | channel,
|  | uid_t | uid
| ) |  |
| pure virtual

Enable transcoding for a channel.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ queryChannel()

virtual int queryChannel | ( | const char * | token,
|  | const char * | channel,
|  | uid_t | uid
| ) |  |
| pure virtual

Query the transcoded channel of a channel.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ triggerTranscode()

virtual int triggerTranscode | ( | const char * | token,
|  | const char * | channel,
|  | uid_t | uid
| ) |  |
| pure virtual

Trigger channel transcoding.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ registerTranscoderObserver()

virtual int registerTranscoderObserver | ( | IH265TranscoderObserver * | observer | ) |
| pure virtual

Register a IH265TranscoderObserver object.

Parameters

  observer | IH265TranscoderObserver.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ unregisterTranscoderObserver()

virtual int unregisterTranscoderObserver | ( | IH265TranscoderObserver * | observer | ) |
| pure virtual

Unregister a IH265TranscoderObserver object.

Parameters

  observer | IH265TranscoderObserver.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ AddRef()

virtual void AddRef | ( |  | ) | const
| pure virtualinherited

## ◆ Release()

virtual RefCountReleaseStatus Release | ( |  | ) | const
| pure virtualinherited

## ◆ HasOneRef()

virtual bool HasOneRef | ( |  | ) | const
| pure virtualinherited